#pragma once
#include <vector>

struct AAssetManager;
struct AAsset;

class AssetsManager
{
    static inline AAssetManager* m_asset_manager = nullptr;
public:
    static void Init(AAssetManager* asset_manager);
    static std::vector<uint8_t> ReadAll(const std::string& filename);
    static AAssetManager* Native();
};
